## fail2ban 0.10.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build2
PAPER         =
BUILDDIR      = ""build

# User-friendly check for sphinx-build2
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Fail2Ban.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Fail2Ban.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Fail2Ban"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Fail2Ban"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## fail2ban 0.8.7.1

=== debian/changelog ===
fail2ban (0.8.7.1-1) experimental; urgency=low

  * Minor upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 31 Jul 2012 21:46:19 -0400

fail2ban (0.8.7-1) experimental; urgency=low

  * New upstream release:
    - inotify backend is supported (and the default if pyinotify is present).
      It should bring number of wakeups to minimum (Closes: #481265)
    - usedns jail.conf parameter to disable reverse DNS mapping to
      avoid of DoS (see #588431, #514239 for related discussions)
    - enforces non-unicode logging (Closes: #657286)
    - new jail "recidive" to ban repeated offenders (Closes: #333557)
    - catch failed ssh logins due to being listed in DenyUsers (Closes: #669063)
    - document in config/*.conf on how to inline comments (Closes: #676146)
    - match possibly present "pam_unix(sshd:auth):" portion for sshd
      (Closes: #648020)
    - wu-ftpd: added failregex for use against syslog. Switch to monitor syslog
      (instead of auth.log) by default (Closes: #514239)
    - anchor chain name in actioncheck's for iptables actions (Closes: #672228)
  * debian/jail.conf:
    - adopted few jails from "upstreams" jail.conf: asterisk, recidive,
      lighttpd, php-url-open
    - provide instructions in jail.conf on how to comment (Closes: #676146)
      Thanks Stefano Forli for a report
  * debian/fail2ban.init:
    - Should-(start|stop): iptables-persistent (Closes: #598109),
      ferm (Closes: #604843)
    - 'status' exits with code 3 if fail2ban is not running (Closes: #653074)
      Thanks Glenn Aaldering for the patch
  * debian/source:
    - switch to 3.0 (quilt) format
  * debian/control,rules:
    - switch to use dh_python2 (Closes: #616803)
    - boost policy compliance to 3.9.3
    - recommend python-pyinotify and only suggest python-gamin

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 31 Jul 2012 16:51:40 -0400

fail2ban (0.8.6-3) unstable; urgency=low

  * Added dovecot section to Debian's jail.conf.  Thanks to Laurent
    Léonard (Closes: #655182)
  * init.d script now returns non-0 exit codes upon status command
    with not running / failed to connect server.  Thanks to
    Glenn Aaldering for the patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 08 Jan 2012 21:46:24 -0500

fail2ban (0.8.6-2) unstable; urgency=low

  * Added pure-ftpd section to Debian's jail.conf.  Thanks to Laurent
    Léonard (Closes: #654412)
  * Enhancement: action to use /proc/net/xt_recent and run f2b as a normal
    user. Many many thanks to Zbyszek Szmek (Closes: #602016)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Jan 2012 10:36:24 -0500

fail2ban (0.8.6-1) unstable; urgency=low

  * [1efe1bc] Fresh upstream release (Closes: #648324)
  * Boosted policy compliance to 3.9.2 -- no changes
  * Adjusted debian/watch to fetch tarballs from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Nov 2011 22:27:18 -0500

fail2ban (0.8.5-2) unstable; urgency=low

  * [5242e73] BF: (cherry-picked from upstream, DEP-3 yet TODO) Lock
    server's executeCmd to prevent racing among iptables calls (Closes:
    #554162) Many kudos go to Michael Saavedra for the patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2011 22:12:08 -0400

fail2ban (0.8.5-1) unstable; urgency=low

  * [de95777] Fresh upstream release FAIL2BAN-0_8_5:
    - [00e1827] BF: use addfailregex instead of failregex while processing
      per-jail "failregex" parameter (Closes: #635830) (LP: #635036)
      Thanks Marat Khayrullin for the patch and Daniel T Chen for forwarding to
      Debian.
  * [1cbdafc] Set backend to auto and recommends python-gamin (Closes: #524425)
  * [ef449f4] Added a note on diverting logrotate configuration for custom
    logtarget=SYSLOG (Closes: #631917).  Thanks Kenyon Ralph for report

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jul 2011 23:20:55 -0400

fail2ban (0.8.4+svn20110323-1) unstable; urgency=low

  * Fresh upstream snapshot which absorbed some of the patches from Debian
    and
    - [c6d64e9] debug entry for lines ignored due to falling below
      findtime (v2)
    - [fc20f12] Tai64N stores time in GMT, we need to convert to
      local time before returning
    - [b0331bb] default ignoreip to ignore entire loopback zone (/8)
      (Closes: #598200)
    - [b9f15f6] ENH: dovecot filter
    - [69165b1] ENH: add <chain> to action.d/iptables*. Thanks
      Matthijs Kooijman
    - [8330a20] ENH: make filter.d/apache-overflows.conf catch more
      (Closes: #574182)
    - [66cc6cb] BF: allow space in the trailing of failregex for sasl.conf
      (Closes: #573314)
    - [2714019] ENH: dropbear filter (Closes: #546913)
    - [ea7d352] BF: Use /var/run/fail2ban instead of /tmp for temp files in
      actions (Closes: #544232)
  * debian/jail.conf:
    - [bc8e22d] spellcheck (Closes: #598206). Thanks Christoph Anton Mitterer
    - [d7f3e23] adjusted description for sasl jail (Closes: #615952)
    - [92fb484] debian/jail.conf: closing " for protocol specification
    - [f828c31] debian/jail.conf: got 'chain' parameter to be specified for
      iptables actions (Closes: #515599)
  * debian/control:
    - [858af30] slight rewordings of the long description (Closes: #588176)
    - [167dfd4] Boosted policy compliance version to 3.9.1 (no changes seems
      to be due)
  * [4e1e845] debian/copyright: updated copyright years

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Mar 2011 17:04:56 -0400

fail2ban (0.8.4-3) unstable; urgency=low

  * Commenting out named-refused-udp jail and providing even fatter
    WARNING against using it (Closes: #583364)
  * Merging upstream's commit for fixing missing import

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jun 2010 21:50:20 -0400

fail2ban (0.8.4-2) unstable; urgency=low

  * Merged few upstream patches (svn rev ) which fixed:
    - Patch to make log file descriptors cloexec to stop leaking file
      descriptors on fork/exec.


=== debian/control ===
Source: fail2ban
Section: net
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~)
Homepage: http://www.fail2ban.org
Vcs-Git: git://github.com/fail2ban/fail2ban.git
Vcs-Browser: http://github.com/fail2ban/fail2ban
Standards-Version: 3.9.3


Package: fail2ban
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
Recommends: iptables, whois, python-pyinotify
Suggests: python-gamin, mailx
Description: ban hosts that cause multiple authentication errors
 Fail2ban monitors log files (e.g. /var/log/auth.log,
 /var/log/apache/access.log) and temporarily or persistently bans
 failure-prone addresses by updating existing firewall rules.  Fail2ban allows
 easy specification of different actions to be taken such as to ban an
 IP using iptables or hostsdeny rules, or simply to send a
 notification email.
 .
 By default, it comes with filter expressions for various services
 (sshd, apache, qmail, proftpd, sasl etc.) but configuration can be
 easily extended for monitoring any other text file.  All filters and
 actions are given in the config files, thus fail2ban can be adopted
 to be used with a variety of files and firewalls.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/fail2ban

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build:

build-arch:

build-indep:

clean: clean-inits
	dh_testdir
	dh_testroot
	rm -f  build-stamp configure-stamp
	rm -rf build
	# Does not hurt to ask distutils to do their duty
	python setup.py clean
	# Enforce removal of *.pyc files. Apparently dh_clean does
	# not perform find on provided filename patterns.
	find . -name \*.pyc -exec rm -f {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the package into debian/fail2ban.
	python setup.py install --root=$(DESTDIR) --no-compile --install-layout=deb
	# Install Debian shipped jail file in 1 piece (instead of patching
	# the shipped one since there are too many changes)
	install -m 644 debian/jail.conf $(DESTDIR)/etc/fail2ban
	# Remove explicitely created /var/run/fail2ban
	# just to please lintian since init file will
	# take care about it anyways
	rm -rf $(DESTDIR)/var/run/fail2ban

#
# Just to comply with policy 4.8
binary-arch:

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples config/jail.conf files/ipmasq-*
	dh_installlogrotate
	dh_python2 /usr/share/fail2ban
	dh_installinit -- defaults 99

	# perform swap of order of calls to init and pycentral (or even
	# bleedingly new dh_python2) in prerm to close #422655 --
	# python-cleanup section is cut and placed at the end of the file
	# since .init script would trigger their compilation again
	sed -i -e '/^#.*ed by dh_python2/,/# End auto/{H;d};$$G' \
		debian/fail2ban.prerm.debhelper

	dh_installman man/*.1
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure copy-inits clean-inits

## fail2ban 0.8.8

=== debian/changelog ===
fail2ban (0.8.8-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 05 Dec 2012 23:06:24 -0500

fail2ban (0.8.8-1) experimental; urgency=low

  * Primarily a bugfix upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Dec 2012 22:53:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fail2ban
 Section: net
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~)
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
@@ -11,7 +12,7 @@
 
 Package: fail2ban
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
 Recommends: iptables, whois, python-pyinotify
 Suggests: python-gamin, mailx
 Description: ban hosts that cause multiple authentication errors

## fail2ban 0.8.10

=== debian/changelog ===
fail2ban (0.8.10-3) unstable; urgency=low

  * debian/jail.conf
    - added "submission" (port 587) to all SMTP-related jails (Closes:
      #714632).  Thanks Tony den Haan for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Jul 2013 14:36:24 -0400

fail2ban (0.8.10-2) unstable; urgency=low

  * debian/fail2ban.init:
    - fixed handling of the return code from do_start/do_stop
    - status calls would dump all output to /dev/null
  * debian/jail.conf:
    - pure-ftpd jail should monitor syslog not auth.log. Thanks Laurent
      Léonard for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Jun 2013 10:47:56 -0400

fail2ban (0.8.10-1) unstable; urgency=high

  * New upstream release
    - addresses possible DoS for anyone enabling many of apache- filters

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Jun 2013 13:31:29 -0400

fail2ban (0.8.9-1) unstable; urgency=low

  * New upstream release
    - significant improvements in documentation (Closes: #400416)
    - roundcube auth filter (Closes: #699442)
    - enforces C locale for dates (Closes: #686341)
    - provides bash_completion.d/fail2ban
  * debian/jail.conf:
    - added findtime and documentation on those basic options from jail.conf
      (Closes: #704568)
    - added new sample jails definitions for ssh-route, ssh-iptables-ipset{4,6},
      roundcube-auth, sogo-auth, mysqld-auth
  * debian/control:
    - suggest system-log-daemon (Closes: #691001)
    - boost policy compliance to 3.9.4
  * debian/rules:
    - run fail2ban's unittests at build time but ignore the failures
      (there are still some known issues to fix up to guarantee robust testing
      in clean chroots etc).
      Only pyinotify was added to build-depends since gamin might still be
      buggy on older releases and get stuck, which would complicate
      backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 May 2013 11:58:56 -0400

fail2ban (0.8.8-1+lucid0) UNRELEASED; urgency=low

  * Added lucid-dsc-patch to use pycentral on systems without dh_python2

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Dec 2012 12:52:30 -0500

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts="filenamemangle=s/.*\/(.*).tar.gz/fail2ban_$1\.orig.tar.gz/" \
 http://githubredir.debian.net/github/fail2ban/fail2ban /([0-9].*).tar.gz

## fail2ban 0.8.11

=== debian/changelog ===
fail2ban (0.8.11-1) unstable; urgency=low

  * Fresh upstream release
    - this release tightens all shipped filters to preclude
      possible injections leading to targetted DoS attacks.
    - omitted entry for ~pre release changelog:
      - asterisk filter was fixed (Closes: #719662),
      - nginx filter/jail added (Closes: #668064)
      - better detection of log rotation in polling backend (Closes: #696087)
      - includes sever name (uname -n) into subject of sendmail actions
        (Closes: #709196)
  * debian/jail.conf
    - dropbear jail: use dropbear filter (instead of ssh) and monitor
      auth.log instead of non-existing /var/log/dropbear (Closes: #620760)
  * debian/NEWS
    - information for change of default iptables action to REJECT now
      (Closes: #711463)
  * debian/patches
    - changeset_d4f6ca4f8531f332bcb7ce3a89102f60afaaa08e.diff
      post-release change to support native proftpd date format which
      includes milliseconds (Closes: #648276)
    - changeset_ac061155f093464fb6cd2329d3d513b15c68e256.diff
      absorbed upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Nov 2013 17:29:06 -0500

fail2ban (0.8.11~pre1+git29-gccd2657-1) unstable; urgency=low

  * Snapshot of the upcoming new release candidate
    - improves dovecot (Closes: #709324), wuftpd (Closes: #665925)
      failregex'es
    - provides support for OpenSSH 6.3 (Closes: #722970)
  * debian/watch
    - restrict version matching only to numbers and period (to exclude
      alpha releases of 0.9 series)
  * debian/jail.conf
    - slightly adjusted for changes in master (suhosin replaced
      lighttpd-auth filer name, and postfix-sasl for sasl)
    - added nginx-http-auth.  More jails to be adopted from upsream.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Nov 2013 12:16:51 -0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: fail2ban
 Section: net
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~)
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~), python-pyinotify
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
 Vcs-Browser: http://github.com/fail2ban/fail2ban
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 
 Package: fail2ban
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
+Depends: ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
 Recommends: iptables, whois, python-pyinotify
-Suggests: python-gamin, mailx
+Suggests: python-gamin, mailx, system-log-daemon
 Description: ban hosts that cause multiple authentication errors
  Fail2ban monitors log files (e.g. /var/log/auth.log,
  /var/log/apache/access.log) and temporarily or persistently bans

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,16 @@
 	# just to please lintian since init file will
 	# take care about it anyways
 	rm -rf $(DESTDIR)/var/run/fail2ban
+	# Install bash completion
+	install -d $(DESTDIR)/etc/bash_completion.d
+	install -m 644 files/bash-completion $(DESTDIR)/etc/bash_completion.d/fail2ban
+
+	# Run tests
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	./fail2ban-testcases-all || :
+else
+	: # Skip unittests due to nocheck
+endif
 
 #
 # Just to comply with policy 4.8
@@ -72,7 +82,7 @@
 	sed -i -e '/^#.*ed by dh_python2/,/# End auto/{H;d};$$G' \
 		debian/fail2ban.prerm.debhelper
 
-	dh_installman man/*.1
+	dh_installman man/*.[15]
 	dh_link
 	dh_compress
 	dh_fixperms

## fail2ban 0.8.13

=== debian/changelog ===
fail2ban (0.8.13-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Applied additional patch from debian/patches/lucid-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Mar 2014 11:59:59 -0400

fail2ban (0.8.13-1) unstable; urgency=low

  * New upstream bug-fix release: but consider 0.9.0 (to be uploaded to
    experimental)
  * debian/jail:
    - new jail definitions: apache-modsecurity, apache-nohome, freeswitch,
      ejabberd-auth, ssh-blocklist, nagios
    - new configuration option: ignorecommand
  * debian/post{inst,rm},preinst:
    - [thanks to Daniel Schaal]: take care about renaming config files
      - firewall-cmd-direct-new.conf to firewallcmd-new.conf which happened
        in 0.8.11-29-g56b6bf7
      - lighttpd-fastcgi.conf to suhosin.conf and
        sasl.conf to postfix-sasl.conf in the past 0.8.11 release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Mar 2014 23:13:35 -0400

fail2ban (0.8.12-1) UNRELEASED; urgency=low

  * New upstream release
    - provides "fail2ban-client flushlogs" command, debian/fail2ban.logrotate
      was adjusted to use it.  Helps to mitigate #697333
    - removes indentation of name and loglevel while logging to SYSLOG
      (Closes: #730202)
    - fixes apache-common.conf (Closes: #739364)
  * /etc/default/fail2ban -- minor typo. Thanks Vincent Lefevre for report
    (Closes: #734421)
  * debian/patches:
    - dropping cherry-picked changeset*

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 Feb 2014 00:45:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: fail2ban
 Section: net
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~), python-pyinotify
+Build-Depends-Indep: python-central (>= 0.5.6)
+XS-Python-Version: current, >= 2.4
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
 Vcs-Browser: http://github.com/fail2ban/fail2ban
@@ -11,7 +14,7 @@
 
 Package: fail2ban
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
 Recommends: iptables, whois, python-pyinotify
 Suggests: python-gamin, mailx, system-log-daemon
 Description: ban hosts that cause multiple authentication errors

=== debian/rules ===
--- 
+++ 
@@ -72,14 +72,12 @@
 	dh_installdocs
 	dh_installexamples config/jail.conf files/ipmasq-*
 	dh_installlogrotate
-	dh_python2 /usr/share/fail2ban
+	dh_pycentral
 	dh_installinit -- defaults 99
-
-	# perform swap of order of calls to init and pycentral (or even
-	# bleedingly new dh_python2) in prerm to close #422655 --
-	# python-cleanup section is cut and placed at the end of the file
-	# since .init script would trigger their compilation again
-	sed -i -e '/^#.*ed by dh_python2/,/# End auto/{H;d};$$G' \
+	# perform swap of order of calls to init and pycentral in prerm
+	# to close #422655 -- pycentral section is cut and placed at
+	# the end of the file
+	sed -i -e '/^#.*ed by dh_pycentral/,/# End auto/{H;d};$$G' \
 		debian/fail2ban.prerm.debhelper
 
 	dh_installman man/*.[15]

## fail2ban 0.9.1

=== debian/changelog ===
fail2ban (0.9.1-1) unstable; urgency=medium

  * To become fresh upstream release (Closes: #742976)
    - 0.9 series is quite a big leap in development, especially since 0.8.6
      which made it to previous Debian stable wheezy.  Please consult upstream
      ChangeLog about changes
  * debian/control
    - boost policy to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Oct 2014 21:52:56 -0400

fail2ban (0.9.0+git252-g47441d1-1) experimental; urgency=medium

  [ Yaroslav Halchenko ]
  * New upstream snapshot from 0.9.0a2-814-g98dc084.

  [ Daniel Schaal ]
  * debian/{control,rules}
    - switching to python3 as the interpreter for Fail2Ban so we could use
      python3-systemd which is N/A for Python2 any longer

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Oct 2014 16:45:36 -0400

fail2ban (0.9.0+git48-gabcab00-1) experimental; urgency=medium

  [ Daniel Schaal ]
  * debian/ updated for 0.9 release
    0.9 release introduced big changes in internal organization (Python
    module now), and new features, and stock jail.conf now follows
    Debian's style, thus custom Debian jail.conf was deprecated.  See NEWS
    file and upstream ChangeLog for further details.

  [ Yaroslav Halchenko ]
  * Post 0.9 release snapshot.
  * debian/rules
    - do not ignore tests failures
    - run only tests not requiring network access
    - nagios and cacti examples get installed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Mar 2014 00:43:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: fail2ban
 Section: net
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.5.4-1~), python-pyinotify
-Build-Depends-Indep: python-central (>= 0.5.6)
-XS-Python-Version: current, >= 2.4
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 9), python3, python3-pyinotify, dh-systemd
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
 Vcs-Browser: http://github.com/fail2ban/fail2ban
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 
 Package: fail2ban
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
-Recommends: iptables, whois, python-pyinotify
-Suggests: python-gamin, mailx, system-log-daemon
+Depends: ${python3:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
+Recommends: iptables, whois, python3-pyinotify
+Suggests: mailx, system-log-daemon, python3-systemd
 Description: ban hosts that cause multiple authentication errors
  Fail2ban monitors log files (e.g. /var/log/auth.log,
  /var/log/apache/access.log) and temporarily or persistently bans

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3,systemd --buildsystem pybuild

DESTDIR=$(CURDIR)/debian/fail2ban
PYVERSION=$(shell py3versions -dv)

override_dh_clean:
	rm -rf fail2ban.egg-info
	dh_clean

override_dh_install:
	rm -f $(DESTDIR)/usr/share/doc/fail2ban/README.Solaris
	: # Remove explicitely created /var/run/fail2ban
	: # just to please lintian since init file will
	: # take care about it anyways
	rm -rf $(DESTDIR)/var/run/
	: # Install bash completion
	install -d $(DESTDIR)/etc/bash_completion.d
	install -m 644 files/bash-completion $(DESTDIR)/etc/bash_completion.d/fail2ban
	: # Install systemd files
	install -d $(DESTDIR)/lib/systemd/system
	install -d $(DESTDIR)/usr/lib/tmpfiles.d
	install -m 644 files/fail2ban.service $(DESTDIR)/lib/systemd/system
	install -m 644 files/fail2ban-tmpfiles.conf $(DESTDIR)/usr/lib/tmpfiles.d
	install -d $(DESTDIR)/lib/systemd/system
	: # Install default jail enabler
	install -m 644 debian/source/jail.d_defaults-debian.conf $(DESTDIR)/etc/fail2ban/jail.d/defaults-debian.conf
	dh_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build && FAIL2BAN_CONFIG_DIR="$(CURDIR)/config" PYTHONPATH="$(CURDIR)/.pybuild/pythonX.Y_$(PYVERSION)/build/" scripts-*/fail2ban-testcases --no-network
endif

override_dh_installexamples:
	dh_installexamples files/ipmasq-* files/nagios files/cacti

override_dh_installinit:
	dh_installinit -- defaults 99

override_dh_installman:
	dh_installman man/*.[15]

## fail2ban 0.9.3

=== debian/changelog ===
fail2ban (0.9.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control -- adjusted description to mention what Recommends
    and Suggests are good for (Closes: #767114)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Jul 2015 21:34:10 -0400

fail2ban (0.9.2-1) unstable; urgency=medium

  * Fresh release to celebrate jessie release and upload to unstable
  * Moved python3-systemd to Recommends from Suggests given that systemd is
    the default init system now.  Should help people upgrading on Ubuntu 15.04
    as well
  * Added regular python to Recommends since apache-fakegooglebot still python2

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Apr 2015 00:00:07 -0400

fail2ban (0.9.1+git44-gd65c4f8-1) experimental; urgency=medium

  [ Christoph Anton Mitterer ]
  * Do not install the following configuration files which are not used within
    the Debian package of fail2ban:
    /etc/fail2ban/paths-fedora.conf
    /etc/fail2ban/paths-freebsd.conf
    /etc/fail2ban/paths-osx.conf
    Closes: #767123

  [ Yaroslav Halchenko ]
  * New upstream snapshot from 0.9.1-44-gd65c4f8 
    - carries a lot of fixes and improvements. Consult upstream ChangeLog
    - debian's init file is now maintained in upstream codebase (for manual
      deployments)
    - provides monit (now Suggest'ed) file which is now gets installed
      but not enabled by default:  ln -s /etc/monit/{monitrc,conf}.d/fail2ban
      to assure that fail2ban process is running

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Dec 2014 18:32:16 -0500

=== debian/control ===
Source: fail2ban
Section: net
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9), python3, python3-pyinotify, dh-systemd
Homepage: http://www.fail2ban.org
Vcs-Git: git://github.com/fail2ban/fail2ban.git
Vcs-Browser: http://github.com/fail2ban/fail2ban
Standards-Version: 3.9.6


Package: fail2ban
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
Recommends: python, iptables, whois, python3-pyinotify, python3-systemd
Suggests: mailx, system-log-daemon, monit
Description: ban hosts that cause multiple authentication errors
 Fail2ban monitors log files (e.g. /var/log/auth.log,
 /var/log/apache/access.log) and temporarily or persistently bans
 failure-prone addresses by updating existing firewall rules.  Fail2ban
 allows easy specification of different actions to be taken such as to ban
 an IP using iptables or hostsdeny rules, or simply to send a notification
 email.
 .
 By default, it comes with filter expressions for various services
 (sshd, apache, qmail, proftpd, sasl etc.) but configuration can be
 easily extended for monitoring any other text file.  All filters and
 actions are given in the config files, thus fail2ban can be adopted
 to be used with a variety of files and firewalls.  Following recommends
 are listed:
 .
  - iptables -- default installation uses iptables for banning. You most
    probably need it
  - whois -- used by a number of *mail-whois* actions to send notification
    emails with whois information about attacker hosts. Unless you will use
    those you don't need whois
  - python3-pyinotify -- unless you monitor services logs via systemd, you
    need pyinotify for efficient monitoring for log files changes

=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,21 @@
 
 override_dh_clean:
 	rm -rf fail2ban.egg-info
+	-rm debian/fail2ban.init
 	dh_clean
 
 override_dh_install:
 	rm -f $(DESTDIR)/usr/share/doc/fail2ban/README.Solaris
+	rm -f $(DESTDIR)/etc/fail2ban/paths-fedora.conf
+	rm -f $(DESTDIR)/etc/fail2ban/paths-freebsd.conf
+	rm -f $(DESTDIR)/etc/fail2ban/paths-osx.conf
 	: # Remove explicitely created /var/run/fail2ban
 	: # just to please lintian since init file will
 	: # take care about it anyways
-	rm -rf $(DESTDIR)/var/run/
+	rm -rf $(DESTDIR)/var/run/ $(DESTDIR)/run/
+	: # Install monit configuration
+	install -d $(DESTDIR)/etc/monit/monitrc.d
+	install -m 644 files/monit/fail2ban $(DESTDIR)/etc/monit/monitrc.d/fail2ban
 	: # Install bash completion
 	install -d $(DESTDIR)/etc/bash_completion.d
 	install -m 644 files/bash-completion $(DESTDIR)/etc/bash_completion.d/fail2ban
@@ -37,18 +44,19 @@
 	install -m 644 files/fail2ban-tmpfiles.conf $(DESTDIR)/usr/lib/tmpfiles.d
 	install -d $(DESTDIR)/lib/systemd/system
 	: # Install default jail enabler
-	install -m 644 debian/source/jail.d_defaults-debian.conf $(DESTDIR)/etc/fail2ban/jail.d/defaults-debian.conf
+	install -m 644 debian/debian-files/jail.d_defaults-debian.conf $(DESTDIR)/etc/fail2ban/jail.d/defaults-debian.conf
 	dh_install
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build && FAIL2BAN_CONFIG_DIR="$(CURDIR)/config" PYTHONPATH="$(CURDIR)/.pybuild/pythonX.Y_$(PYVERSION)/build/" scripts-*/fail2ban-testcases --no-network
+	cd build && LC_ALL=C.UTF-8 FAIL2BAN_CONFIG_DIR="$(CURDIR)/config" PYTHONPATH="$(CURDIR)/.pybuild/pythonX.Y_$(PYVERSION)/build/" scripts-*/fail2ban-testcases --no-network
 endif
 
 override_dh_installexamples:
 	dh_installexamples files/ipmasq-* files/nagios files/cacti
 
 override_dh_installinit:
+	cp -p files/debian-initd debian/fail2ban.init
 	dh_installinit -- defaults 99
 
 override_dh_installman:

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts="filenamemangle=s/.*\/(.*).tar.gz/fail2ban_$1\.orig.tar.gz/" \
 http://githubredir.debian.net/github/fail2ban/fail2ban /([\.0-9]*).tar.gz

## fail2ban 0.9.5

=== debian/changelog ===
fail2ban (0.9.5-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/watch -- not using githubredir service any longer

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jul 2016 21:37:03 -0400

fail2ban (0.9.4-1) unstable; urgency=medium

  * Fresh upstream release.  
    Debian's release codename  if-only-someone-helped-to-triage-DBTS

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Mar 2016 21:50:50 -0500

## fail2ban 0.9.6

=== debian/changelog ===
fail2ban (0.9.6-2) unstable; urgency=medium

  * debian/patches/changeset_a639f0b083c213bde4ff3dcfbbb9fbcab0dd55f8.diff
    to resolve occasional FTBFSs if tzdata is not available (Closes: #855920)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Apr 2017 10:27:28 -0400

fail2ban (0.9.6-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve outstanding FTBFS (Closes: #835707)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Dec 2016 09:37:54 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
 Vcs-Browser: http://github.com/fail2ban/fail2ban
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 
 Package: fail2ban

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 	rm -rf fail2ban.egg-info
 	-rm debian/fail2ban.init
 	dh_clean
+	: # auto generated
+	-rm bin/fail2ban-python
 
 override_dh_install:
 	rm -f $(DESTDIR)/usr/share/doc/fail2ban/README.Solaris

## fail2ban 0.9.7

=== debian/changelog ===
fail2ban (0.9.7-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Applied additional patch from debian/patches/wheezy-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 10 May 2017 23:32:01 -0400

fail2ban (0.9.7-1) experimental; urgency=medium

  * Fresh upstream release, primarily bugfix but includes some enhancements
    to regexes and new filters

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 10 May 2017 21:40:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: fail2ban
 Section: net
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 9), python3, python3-pyinotify, dh-systemd
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-pyinotify, dh-python
 Homepage: http://www.fail2ban.org
 Vcs-Git: git://github.com/fail2ban/fail2ban.git
 Vcs-Browser: http://github.com/fail2ban/fail2ban
@@ -11,9 +12,9 @@
 
 Package: fail2ban
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
-Recommends: python, iptables, whois, python3-pyinotify, python3-systemd
-Suggests: mailx, system-log-daemon, monit
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
+Recommends: iptables, whois, python-pyinotify
+Suggests: mailx, system-log-daemon, monit, python-systemd
 Description: ban hosts that cause multiple authentication errors
  Fail2ban monitors log files (e.g. /var/log/auth.log,
  /var/log/apache/access.log) and temporarily or persistently bans

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_DISABLE_python2=1
+export PYBUILD_DISABLE_python3=1
 
 %:
-	dh $@ --with python3,systemd --buildsystem pybuild
+	dh $@ --with python2 --buildsystem pybuild
 
 DESTDIR=$(CURDIR)/debian/fail2ban
-PYVERSION=$(shell py3versions -dv)
+PYVERSION=$(shell pyversions -dv)
 
 override_dh_clean:
 	rm -rf fail2ban.egg-info
@@ -39,7 +39,8 @@
 	: # Install bash completion
 	install -d $(DESTDIR)/etc/bash_completion.d
 	install -m 644 files/bash-completion $(DESTDIR)/etc/bash_completion.d/fail2ban
-	: # Install systemd files
+	: # Install systemd files, even in backport version just in case even though
+	: # other systemd preparation activities are not carried out
 	install -d $(DESTDIR)/lib/systemd/system
 	install -d $(DESTDIR)/usr/lib/tmpfiles.d
 	install -m 644 files/fail2ban.service $(DESTDIR)/lib/systemd/system

## fail2ban 0.10.2

=== debian/changelog ===
fail2ban (0.10.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from upstream to fix SyntaxError with Python 3.7. Closes: #902817

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Sep 2018 20:14:23 +0200

fail2ban (0.10.2-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * Recommend nftables as an alternative to iptables (Closes: #892472)
  
  [ Yaroslav Halchenko ]
  * debian/patches/deb_no_iptables_service (Closes: #871993)
    - remove all non-existing services from PartOf of fail2ban.service.
      Should resolve inability to restart firewalld (its .service is
      left in PartOf) upon upgrades.
  * debian/control
    - B-Depend on python3-setuptools and dh-python
  * debian/rules
    - Fixed up hardcoded path to the .build-ed package for testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Apr 2018 00:47:53 -0400

fail2ban (0.10.2-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * New major upstream release (thanks to Ervin Hegedüs for help updating
    packaging)
    - Major performance improvements, especially in tests battery
      execution, and shutdown (Closes: #878038)
    - INCORRECT RECORD IN ORIGINAL changelog (will be fixed in 0.11):
      Incremental increase of bantime (Bug: #498164)
    - IPv6 support (Closes: #881648, #470417)
    - Some filters refactored/deprecated, e.g. to take advantage of new
      filter option mode
      - sshd-aggressive and sshd-ddos absorbed into sshd filter
        (modes: normal, ddos, extra, or aggressive)
      - postfix-rbl and postfix-sasl absorbed into postfix
        (modes: more, normal, auth, rbl, ddos, extra, or aggressive)
    - New actions: abuseipd, nginx-block-map
    - New filters: phpmyadmin-syslog, zoneminder
  * A number of new patches added to address failing tests from
    https://github.com/fail2ban/fail2ban/pull/2025
  * debian/control
    - Boosted policy to 4.1.3
    - sqlite3 is now needed for some tests, thus added to build-depends
      and suggests
  * debian/README.Debian
    - Instructions on how to establish correct startup/shutdown sequence
      in systemd for shorewall (Closes: #847728). Thanks Ben Coleman for the
      final recipe

  [ Viktor Szépe ]
  * Install provided config for monit under /etc/monit/conf-available
    (instead of /etc/monit/monitrc.d, location changed after monit 1:5.15-2)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Jan 2018 10:38:19 -0500

fail2ban (0.9.7-2) unstable; urgency=medium

  * Upload to unstable (Closes: #870651)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 03 Aug 2017 22:49:08 -0400

=== debian/control ===
Source: fail2ban
Section: net
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends:
 debhelper (>= 9)
 , debhelper (>= 9.20160709) | dh-systemd
 , dh-python
 , python3
 , python3-setuptools
 , python3-pyinotify
 , sqlite3
Homepage: http://www.fail2ban.org
Vcs-Git: git://github.com/fail2ban/fail2ban.git -b debian
Vcs-Browser: http://github.com/fail2ban/fail2ban
Standards-Version: 4.1.3


Package: fail2ban
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, lsb-base (>=2.0-7)
Recommends: python, iptables|nftables, whois, python3-pyinotify, python3-systemd
Suggests: mailx, system-log-daemon, monit, sqlite3
Description: ban hosts that cause multiple authentication errors
 Fail2ban monitors log files (e.g. /var/log/auth.log,
 /var/log/apache/access.log) and temporarily or persistently bans
 failure-prone addresses by updating existing firewall rules.  Fail2ban
 allows easy specification of different actions to be taken such as to ban
 an IP using iptables or hostsdeny rules, or simply to send a notification
 email.
 .
 By default, it comes with filter expressions for various services
 (sshd, apache, qmail, proftpd, sasl etc.) but configuration can be
 easily extended for monitoring any other text file.  All filters and
 actions are given in the config files, thus fail2ban can be adopted
 to be used with a variety of files and firewalls.  Following recommends
 are listed:
 .
  - iptables/nftables -- default installation uses iptables for banning.
    nftables is also suported. You most probably need it
  - whois -- used by a number of *mail-whois* actions to send notification
    emails with whois information about attacker hosts. Unless you will use
    those you don't need whois
  - python3-pyinotify -- unless you monitor services logs via systemd, you
    need pyinotify for efficient monitoring for log files changes

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts="filenamemangle=s/.*\/(.*)/fail2ban-$1\.tar\.gz/" \
 http://github.com/fail2ban/fail2ban/tags .*archive/(\d[\d\.]+).tar.gz
